<?xml version="1.0" encoding="utf-8" standalone="no"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android" android:sharedUserId="android.uid.system" package="com.navdy.hud.app" platformBuildVersionCode="25" platformBuildVersionName="7.1.1">
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
    <uses-permission android:name="android.permission.BLUETOOTH"/>
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN"/>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
    <uses-permission android:name="android.permission.GET_ACCOUNTS"/>
    <uses-permission android:name="android.permission.AUTHENTICATE_ACCOUNTS"/>
    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.PROCESS_OUTGOING_CALLS"/>
    <uses-permission android:name="android.permission.READ_CALENDAR"/>
    <uses-permission android:name="android.permission.READ_CONTACTS"/>
    <uses-permission android:name="android.permission.READ_LOGS"/>
    <uses-permission android:name="android.permission.READ_PHONE_STATE"/>
    <uses-permission android:name="android.permission.RECEIVE_SMS"/>
    <uses-permission android:name="android.permission.WAKE_LOCK"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS"/>
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE"/>
    <uses-permission android:name="android.permission.CAMERA"/>
    <uses-permission android:name="android.permission.ACCESS_MOCK_LOCATION"/>
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.SET_TIME_ZONE"/>
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW"/>
    <uses-permission android:name="android.permission.DISABLE_KEYGUARD"/>
    <uses-permission android:name="android.permission.REBOOT"/>
    <uses-permission android:name="android.permission.SET_TIME"/>
    <uses-permission android:name="android.permission.ACCESS_CACHE_FILESYSTEM"/>
    <uses-permission android:name="android.permission.DELETE_CACHE_FILES"/>
    <uses-permission android:name="android.permission.WRITE_SETTINGS"/>
    <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:name="com.navdy.hud.app.HudApplication" android:theme="@style/HudTheme">
        <activity android:name="net.hockeyapp.android.UpdateActivity"/>
        <activity android:alwaysRetainTaskState="true" android:configChanges="locale|keyboard|keyboardHidden|layoutDirection|navigation|orientation|screenSize" android:label="@string/app_name" android:launchMode="singleTask" android:name="com.navdy.hud.app.ui.activity.MainActivity" android:screenOrientation="sensorLandscape">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>
        <activity android:label="@string/app_name" android:name="com.navdy.hud.app.debug.SettingsActivity" android:theme="@style/AppTheme"/>
        <service android:exported="false" android:label="NavdyHereMapService" android:name="com.here.android.mpa.service.MapService" android:process="global.Here.Map.Service.v2">
            <intent-filter>
                <action android:name="com.navdy.HereMapService"/>
            </intent-filter>
        </service>
        <service android:exported="true" android:name="com.navdy.hud.app.service.HudConnectionService" android:process=":connectionService"/>
        <service android:exported="true" android:name="com.navdy.hud.app.debug.RouteRecorderService" android:process=":connectionService"/>
        <service android:name="com.navdy.hud.app.util.ReportIssueService"/>
        <service android:name="com.navdy.hud.app.util.CrashReportService" android:process=":connectionService"/>
        <service android:name="com.navdy.hud.app.util.OTAUpdateService"/>
        <service android:name="com.navdy.hud.app.service.StickyService"/>
        <service android:enabled="true" android:exported="false" android:label="GlympseApiService" android:name="com.glympse.android.hal.GlympseService"/>
        <receiver android:name="com.navdy.hud.app.receiver.BootReceiver">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED"/>
            </intent-filter>
        </receiver>
        <receiver android:name="com.navdy.hud.app.receiver.LogLevelReceiver">
            <intent-filter>
                <action android:name="com.navdy.service.library.log.action.RELOAD"/>
            </intent-filter>
        </receiver>
        <receiver android:exported="true" android:name="com.navdy.hud.app.debug.DebugReceiver">
            <intent-filter>
                <action android:name="com.navdy.hud.debug.TEST"/>
                <action android:name="com.navdy.app.debug.ANR"/>
                <action android:name="com.navdy.app.debug.BROADCAST_ANR"/>
                <action android:name="com.navdy.app.debug.CRASH"/>
                <action android:name="com.navdy.app.debug.NATIVE_CRASH"/>
                <action android:name="com.navdy.app.debug.NATIVE_CRASH_SEPARATE_THREAD"/>
                <action android:name="com.navdy.app.debug.PLAYBACK_ROUTE"/>
                <action android:name="com.navdy.app.debug.PLAYBACK_ROUTE_SECONDARY"/>
                <action android:name="com.navdy.app.debug.STOP_PLAYBACK_ROUTE"/>
                <action android:name="com.navdy.app.debug.START_ROUTE_POINT"/>
                <action android:name="com.navdy.hud.debug.DUMP_THREAD_STACK"/>
                <action android:name="com.navdy.app.debug.PRINT_MAP_ZOOM"/>
                <action android:name="com.navdy.app.debug.PRINT_BUS_REGISTRATION"/>
                <action android:name="com.navdy.app.debug.START_MAIN_THREAD_PROFILING"/>
                <action android:name="com.navdy.app.debug.STOP_MAIN_THREAD_PROFILING"/>
                <action android:name="com.navdy.app.debug.SHOW_LANE_INFO"/>
                <action android:name="com.navdy.app.debug.HIDE_LANE_INFO"/>
                <action android:name="com.navdy.app.debug.PRINT_MAP_NAV_MODE"/>
                <action android:name="com.navdy.app.debug.START_BUS_PROFILING"/>
                <action android:name="com.navdy.app.debug.STOP_BUS_PROFILING"/>
                <action android:name="com.navdy.app.debug.START_MAP_RENDERING"/>
                <action android:name="com.navdy.app.debug.STOP_MAP_RENDERING"/>
                <action android:name="com.navdy.app.debug.START_CPU_HOG"/>
                <action android:name="com.navdy.app.debug.STOP_CPU_HOG"/>
                <action android:name="com.navdy.app.debug.GET_GOOGLE"/>
                <action android:name="com.navdy.app.debug.DNS_LOOKUP"/>
                <action android:name="com.navdy.app.debug.DNS_LOOKUP_TEST"/>
                <action android:name="com.navdy.app.debug.NETSTAT"/>
                <action android:name="com.navdy.app.debug.WAKEUP"/>
                <action android:name="com.navdy.app.debug.SCALE_DISPLAY"/>
                <action android:name="com.navdy.app.debug.LAUNCH_PICKER"/>
                <action android:name="com.navdy.app.debug.SHOW_RECALC"/>
                <action android:name="com.navdy.app.debug.HIDE_RECALC"/>
                <action android:name="com.navdy.app.debug.SET_SIM_SPEED"/>
                <action android:name="com.navdy.app.debug.MUSIC_DETAILS"/>
                <action android:name="com.navdy.app.debug.TEST_TBT_TTS"/>
                <action android:name="com.navdy.app.debug.TEST_TBT_TTS_CANCEL"/>
                <action android:name="com.navdy.app.debug.INJECT_JUNC_VIEW"/>
                <action android:name="com.navdy.app.debug.EJECT_JUNC_VIEW"/>
                <action android:name="com.navdy.app.debug.ENABLE_HERE_LOC_DBG"/>
                <action android:name="com.navdy.app.debug.DISABLE_HERE_LOC_DBG"/>
                <action android:name="com.navdy.app.debug.NOW_MANEUVER"/>
                <action android:name="com.navdy.app.debug.SOON_MANEUVER"/>
                <action android:name="com.navdy.app.debug.STAY_MANEUVER"/>
                <action android:name="com.navdy.app.debug.CLEAR_MANEUVER"/>
                <action android:name="com.navdy.app.debug.INSTRUCTION_MANEUVER"/>
                <action android:name="com.navdy.app.debug.THEN_MANEUVER"/>
                <action android:name="com.navdy.app.debug.ICON_MANEUVER"/>
                <action android:name="com.navdy.app.debug.DISTANCE_MANEUVER"/>
                <action android:name="com.navdy.app.debug.CHECK_FOR_MAP_DATA_UPDATE"/>
                <action android:name="com.navdy.app.debug.UPDATE_MAP_DATA"/>
                <action android:name="com.navdy.app.debug.CHANGE_HEADING"/>
            </intent-filter>
        </receiver>
        <receiver android:name="com.navdy.hud.app.receiver.ShutdownReceiver">
            <intent-filter>
                <action android:name="android.intent.action.ACTION_SHUTDOWN"/>
            </intent-filter>
        </receiver>
        <service android:enabled="true" android:name="com.amazonaws.mobileconnectors.s3.transferutility.TransferService"/>
        <service android:name="com.navdy.hud.app.service.GestureVideosSyncService"/>
        <service android:name="com.navdy.hud.app.service.ObdCANBusDataUploadService"/>
        <meta-data android:name="com.here.android.maps.appid" android:value="@string/here_maps_appid"/>
        <meta-data android:name="com.here.android.maps.apptoken" android:value="@string/here_maps_apptoken"/>
        <meta-data android:name="com.here.android.maps.license.key" android:value="@string/here_maps_license_key"/>
        <meta-data android:name="LOCALYTICS_APP_KEY" android:value="@string/localytics_app_key"/>
        <meta-data android:name="LOCALYTICS_APP_KEY" android:value="@string/localytics_app_key"/>
        <meta-data android:name="LOCALYTICS_APP_KEY" android:value="@string/localytics_app_key"/>
        <meta-data android:name="CAR_MD_AUTH" android:value="@string/car_md_auth"/>
        <meta-data android:name="CAR_MD_TOKEN" android:value="@string/car_md_token"/>
        <meta-data android:name="AWS_ACCESS_KEY_ID" android:value="@string/aws_access_key_id"/>
        <meta-data android:name="AWS_SECRET_ACCESS_KEY" android:value="@string/aws_secret_access_key"/>
        <meta-data android:name="JIRA_CREDENTIALS" android:value="@string/jira_credentials"/>
        <meta-data android:name="GLYMPSE_API_KEY" android:value="@string/glympse_api_key"/>
        <meta-data android:name="TWILIO_ACCOUNT_SID" android:value="@string/twilio_account_sid"/>
        <meta-data android:name="TWILIO_AUTH_TOKEN" android:value="@string/twilio_auth_token"/>
        <meta-data android:name="TWILIO_MSG_SERVICE_ID" android:value="@string/twilio_msg_service_id"/>
        <activity android:name="net.hockeyapp.android.FeedbackActivity"/>
        <activity android:name="net.hockeyapp.android.PaintActivity"/>
        <activity android:name="net.hockeyapp.android.LoginActivity"/>
        <activity android:name="net.hockeyapp.android.ExpiryInfoActivity"/>
    </application>
</manifest>
